if (!exists("file")) file='misa'
if (!exists("lim")) lim = 6
if (!exists("from")) from = 3
if (!exists("outputfile")) outputfile = "plot-".file.".pdf"
set terminal pdf size 2,1.5 monochrome dashed
set termopt enhanced
set output outputfile
set logscale xy
set grid mytics lt 4 lw 1 lc rgb "#bbbbbb"
set grid mxtics lt 4 lw 1 lc rgb "#bbbbbb"
set ylabel "time[s]"
set label 2 "# of samples" at graph 0.4,-0.14 left
xendrange = 10**(lim + 5 - from)
set xrange [100000:xendrange]
set format xy "10^{%+02T}"
# set yrange [0.01:2]
set key bottom right
path = "../code/src/results/".file.".csv"
set label 1 file at graph 0.4,1.04 left
plot \
path every ::from::lim u ($1*100):($4+100*$5) w lp lw 2 t "evaluation",\
path every ::from::lim u ($1*100):(100*$6) w lp lw 2 t "execution"